/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  A child theme of GeneratePress WordPress theme.
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      3.3.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/
.project-arrow img {
    transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.project-arrow img:hover {
    transform: translateX(5px) rotate(40deg);
}
.project-col ul {
    margin-left: 25px;
    margin-bottom: 0px;
}
.project-col {
    color: #fff;
    padding: 50px !important;
    height: 641px !important;
}
.project-col h3 {
    font-size: 30px;
	margin-bottom: -10px !important;
}
.arrow-link a img {
	transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.arrow-link a:hover img {
    transform: translateX(5px) rotate(40deg);
}
.sub-menu li {
    padding: 8px 20px !important;
}
.sub-menu li a {
    padding: 0px !important;
}
.sub-menu li a {
    font-size: 15px !important;
}
span.dropdown-menu-toggle {
    display: none !important;
}
details[open] summary.e-n-accordion-item-title {
    border-bottom: 1px solid #ddd !important;
    margin: 0px 40px 0px 40px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
    padding-bottom: 20px;
}
.elementor-widget-n-accordion .e-n-accordion-item {
    border: 1px solid #e5e5e5 !important;
    border-radius: 10px !important;
}
summary.e-n-accordion-item-title,
.e-con-full.e-flex.e-con.e-child {
    border: none !important;
}
.white-btn a:hover {
    background: #7ca9b3;
    color: #fff;
}
.white-btn a {
    padding: 22px 30px 22px 30px;
    border-radius: 40px;
    background: #fff;
    color: #1F2937;
    font-size: 18px;
    font-weight: 600;
}
.head-below-nospace h2, h3 {
    margin-bottom: 0px !important;
}
.line-break {
    display: block;
}
.sticky-enabled .main-navigation.is_stuck {
    box-shadow: 0 4px 8px -2px rgba(0, 0, 0, .2);
}
.mob-num a:hover {
    opacity: 0.6;
}
.mob-num a::before {
    content: url(https://www.sotekeng.com/wp-content/uploads/2026/08/phone.png);
    display: inline-block;
    margin-right: 15px;
    vertical-align: middle;
}
.mob-num a {
    color: #fff !important;
    font-size: 18px !important;
    font-weight: 500 !important;
    letter-spacing: 1px;
}
footer.site-info {
    border-top: 1px solid #444;
    background: #222 !important;
    padding: 80px 0px;
    color: #fff;
    font-size: 18px;
    font-weight: 300;
    letter-spacing: 1px;
   letter-spacing: 1px;
}
span.line-fixed-br {
    display: block;
}
.project-carousel .elementor-swiper-button-prev svg,
.project-carousel .elementor-swiper-button-next svg {
    display: none;
}
.project-carousel .elementor-swiper-button-prev,
.project-carousel .elementor-swiper-button-next {
    position: relative;
}
.project-carousel .elementor-swiper-button-prev::before {
    content: "\2190"; /* ← */
    font-size: 50px;
    color: #76a5af;
    font-weight: 500;
}
.project-carousel .elementor-swiper-button-next::before {
    content: "\2192"; /* → */
    font-size: 50px;
    color: #76a5af;
    font-weight: 500;
}

.project-carousel svg.e-font-icon-svg.e-fas-long-arrow-alt-right {
    fill: #000 !important;
}
.project-carousel svg.e-font-icon-svg.e-fas-long-arrow-alt-left {
    fill: #000 !important;
}
.project-carousel .elementor-swiper-button-prev, .project-carousel .elementor-swiper-button-next {
    border: none !important;
}
.project-carousel .elementor-element .swiper .elementor-swiper-button svg {
    fill:#000 !important;
}
.project-carousel {
    position: relative;
    padding-bottom: 80px; /* Space for arrows */
}
.project-carousel .elementor-swiper-button-prev,
.project-carousel .elementor-swiper-button-next{
    position: absolute;
    top: auto !important;
    bottom: 0;
    width: 50px;
    height: 50px;
    border: 1px solid #000;
    border-radius: 50%;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: none;
}
.project-carousel .elementor-swiper-button-prev{
    left: calc(47% - 35px) !important;
}
.project-carousel .elementor-swiper-button-next{
    left: calc(48% + 35px) !important;
}
.project-cont img {
    transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.project-cont img:hover {
    transform: translateX(5px) rotate(40deg);
}
.project-cont ul {
    margin-left: 25px;
	margin-bottom: 0px;
}
.project-cont h3 {
    font-size: 30px;
	margin-bottom: 10px !important;
}
.project-cont {
    position: absolute;
    left: 40px;
    right: 40px;
    bottom: 60px;
    z-index: 2;
    color: #fff;
}
.project-carousel .swiper-slide {
    width: calc((100% - 80px) / 3) !important;
    flex-shrink: 0;
}
.project-carousel .swiper-wrapper {
    display: flex;
    gap: 30px;
}
.list-and-icon {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.project-cont {
    text-align: left;
}
.white-border-btn a:hover {
    background: #fff;
	color: #000;
}
.black-border-btn a:hover {
    background: #000;
	color: #fff;
}
.white-border-btn a:hover::after {
    filter: invert(1) !important;
    transform: rotate(40deg) !important;
}
.black-border-btn a:hover::after {
    filter: invert(0) !important;
    transform: rotate(40deg) !important;
}
.white-border-btn a:after, .black-border-btn a:after{
    content: url(https://www.sotekeng.com/wp-content/uploads/2026/07/Arrow-5.png);
    display: inline-block;
	transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.black-border-btn a:after{filter:invert(1);}
.white-border-btn a {
    padding: 22px 35px 22px 35px;
    border-radius: 40px;
    background: none;
    border: 1px solid #fff;
    color: #fff;
    font-size: 17px;
    letter-spacing: 0px;
    font-weight: 500;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    gap: 15px;
}
.black-border-btn a {
    padding: 22px 35px 22px 35px;
    border-radius: 40px;
    background: none;
    border: 1px solid #000;
    color: #000;
    font-size: 17px;
    letter-spacing: 0px;
    font-weight: 500;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    gap: 15px;
}
.border-btn a:hover {
    background: #7ca9b3;
    color: #ffffff;
    border: 1px solid #7ca9b3;
}
.border-btn a:hover::after {
    filter: invert(1) !important;
    transform: rotate(40deg) !important;
}
.border-btn a:after {
    content: url(https://www.sotekeng.com/wp-content/uploads/2026/07/arrow-block.png);
    display: inline-block;
	transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.border-btn a {
    padding: 22px 35px 22px 35px;
    border-radius: 40px;
    background: none;
    border: 1px solid #000;
    color: #000;
    font-size: 17px;
    letter-spacing: 0px;
    font-weight: 500;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    gap: 15px;
}
h4 {
    line-height: 1.2 !important;
    margin-bottom: 10px !important;
}
h3 {
    line-height: 1.4 !important;
}
h1, h2 {
    line-height: 1.4 !important;
    margin-bottom: 10px !important;
}
#primary-menu ul li a:hover {
    opacity: 1 !important;
}
.home .menu-btn-reqapp a::after {
    filter: invert(1);
}
.home .menu-btn-reqapp a:hover {
    border: 2px solid #7ca9b3;
}
.home #sticky-navigation .menu-btn-reqapp a:hover {
    color: #fff;
    border: 2px solid #7ca9b3;
}
.home #sticky-navigation .menu-btn-reqapp a::after {
    filter: invert(0);
}
.home #sticky-navigation .menu-btn-reqapp a {
    color: #000000;
    border: 2px solid #000000;
    box-shadow: none;
}
#sticky-navigation .inside-navigation {
    padding: 10px 100px !important;
}
.sticky-navigation-logo img {
    height: auto !important;
}
#sticky-navigation .inside-navigation {
    padding: 40px 100px;
}
.home .inside-header {
    padding: 40px 80px !important;
}
.inside-header {
    padding: 20px 100px !important;
}
.menu-buttons {
    margin-left: 40px !important;
}
.home .menu-btn-reqapp a {
    color: #fff;
    border: 2px solid #fff;
    box-shadow: 0 4px 4px -1px rgba(0, 0, 0, 0.3);
}
.menu-btn-reqapp a:hover {
    background: #7ca9b3;
    color: #ffffff;
    border: 2px solid #7ca9b3;
}
.menu-btn-reqapp a:hover::after {
    filter: invert(1) !important;
    transform: rotate(40deg) !important;
}
.menu-btn-reqapp a:after {
    content: url(https://www.sotekeng.com/wp-content/uploads/2026/07/arrow-block.png);
    display: inline-block;
	transition: transform 0.4s ease, filter 0.4s ease;
    transform: rotate(0deg);
}
.menu-btn-reqapp a {
    padding: 12px 35px 12px 35px;
    border-radius: 40px;
    background: none;
    border: 2px solid #000;
    color: #000;
    font-size: 19px;
    font-family: 'poppins';
    letter-spacing: 0px;
    font-weight: 600;
    text-transform: uppercase;
    display: inline-flex;
    align-items: center;
    gap: 15px;
}
#primary-menu ul li a {
    font-size: 19px;
    text-transform: uppercase;
    font-weight: 600;
    padding: 0px 35px;
}

@media screen and (min-width: 320px) and (max-width: 767px){
.project-cont h3 {
    font-size: 22px;
    margin-bottom: 10px !important;
}	
.project-cont {
    left: 20px;
    right: 20px;
    bottom: 40px;
}	
.project-col h3 {
    font-size: 25px;
}	
.project-col {
    padding: 30px !important;
    height: 430px !important;
}	
.wpforms-one-half {
    width: 100% !important;
	margin-left: 0px !important;
}	
.menu-btn-reqapp a:after {
    position: relative;
    top: 3px;
}	
.sub-menu li a {
    font-size: 13px !important;
}	
span.dropdown-menu-toggle {
    display: block !important;
}	
.line-break {
    display: inline;
}	
details[open] summary.e-n-accordion-item-title {
    margin: 0px 20px 0px 20px !important;
}	
.white-btn a {
    font-size: 16px;
}	
footer.site-info {
    padding: 50px 0px;
	font-size: 16px;
}	
.project-carousel .elementor-swiper-button-next {
    left: calc(50% + 10px) !important;
}	
.project-carousel .elementor-swiper-button-prev {
    left: calc(50% - 70px) !important;
}	
.project-carousel .swiper-slide {
    width: calc((100% - 25px) / 1) !important;
}
.white-border-btn a {
    font-size: 14px;
	padding: 15px 30px 15px 30px;
}	
.border-btn a {
    font-size: 14px;
	padding: 15px 30px 15px 30px;
}
.mob-num a {
    font-size: 16px !important;
}	
h1, h2 {
    margin-bottom: 10px !important;
}	
.main-navigation.has-sticky-branding.navigation-stick .menu-toggle {
    order: initial !important;
}	
.menu-buttons {
    margin-left: 0px !important;
}	
.main-navigation .inside-navigation {
    justify-content: center !important;
}	
.menu-btn-reqapp a {
    padding: 5px 20px 5px 20px;
    font-size: 14px;
}	
.menu-buttons {
    display: block !important;
	padding-top: 10px;
}	
nav#generate-slideout-menu ul li a {
    text-transform: uppercase;
    font-weight: 600;
}	
nav#generate-slideout-menu {
    padding-top: 50px;
}	
.menu-toggle .gp-icon {
    font-size: 25px;
}	
.home .inside-header {
    padding: 10px 10px !important;
}	
.site-logo {
    width: 40%;
}
.navigation-branding {
    width: 40% !important;
}		
#sticky-navigation .inside-navigation {
    padding: 10px 5px !important;
}	
.inside-header {
    padding: 10px 10px !important;
}	
.site-content {
    padding: 0px !important;
}
	
}	

@media screen and (min-width: 768px) and (max-width: 1023px){
.project-col h3 {
    font-size: 25px;
}	
.project-col {
    padding: 40px !important;
    height: 470px !important;
}	
.sub-menu li a {
    font-size: 13px !important;
}	
span.dropdown-menu-toggle {
    display: block !important;
}	
.line-break {
    display: inline;
}		
.border-btn a {
    padding: 15px 25px 15px 25px;
    font-size: 16px;
}	
.white-border-btn a {
    padding: 15px 25px 15px 25px;
    font-size: 16px;
}	
details[open] summary.e-n-accordion-item-title {
    margin: 0px 30px 0px 30px !important;
}	
.white-btn a {
    font-size: 16px;
	padding: 15px 25px 15px 25px;
}	
footer.site-info {
    padding: 50px 0px;
}	
.project-carousel .elementor-swiper-button-next {
    left: calc(50% + 25px) !important;
}	
.project-carousel .elementor-swiper-button-prev {
    left: calc(50% - 75px) !important;
}	
.project-carousel .swiper-slide {
    width: calc((100% - 55px) / 2) !important;
}	
h1, h2 {
    margin-bottom: 10px !important;
}	
.main-navigation.has-sticky-branding.navigation-stick .menu-toggle {
    order: initial !important;
}		
.main-navigation .inside-navigation {
    justify-content: center !important;
}	
.menu-btn-reqapp a {
    padding: 5px 55px 5px 20px;
    font-size: 14px;
}	
.menu-buttons {
    display: none !important;
	padding-top: 0px;
	margin-left: 0px !important;
}	
nav#generate-slideout-menu ul li a {
    text-transform: uppercase;
    font-weight: 600;
}	
nav#generate-slideout-menu {
    padding-top: 50px;
}	
.menu-toggle .gp-icon {
    font-size: 25px;
}	
.home .inside-header {
    padding: 10px 10px !important;
}	
.site-logo {
    width: 20%;
}
.sticky-navigation-logo {
    width: 50% !important;
}	
#sticky-navigation .inside-navigation {
    padding: 10px 5px !important;
}	
.inside-header {
    padding: 10px 10px !important;
}	
.site-content {
    padding: 0px !important;
}	
	
}

@media screen and (min-width: 1024px) and (max-width: 1279px){
.max-width-section {
    padding-left: 2% !important;
    padding-right: 2% !important;
}	
.menu-buttons {
    margin-left: 10px !important;
}	
.navigation-branding {
    width: 20% !important;
}	
#sticky-navigation .inside-navigation {
    padding: 10px 20px !important;
}	
.site-logo {
    width: 20% !important;
}	
.menu-btn-reqapp a {
    font-size: 14px;
	padding: 10px 65px 10px 35px;
}	
#primary-menu ul li a {
    font-size: 14px;
    padding: 0px 20px;
}	
.home .inside-header {
    padding: 40px 20px !important;
}
	
}

@media screen and (min-width: 1280px) and (max-width: 1439px){
.project-col {
    padding: 30px !important;
    height: 450px !important;
}	
#sticky-navigation .inside-navigation {
    padding: 10px 50px !important;
}	
.inside-header {
    padding: 40px 50px !important;
}
.home .inside-header {
    padding: 40px 50px !important;
}	
	
}

@media screen and (min-width: 1440px) and (max-width: 1535px){
.project-col {
    padding: 40px !important;
    height: 480px !important;
}
	
}

@media screen and (min-width: 1536px) and (max-width: 1700px){
.project-col {
    padding: 40px !important;
    height: 550px !important;
}
	
}

@media screen and (min-width: 1440px) and (max-width: 1700px){	
.home .inside-header {
    padding: 20px 80px !important;
}		
#sticky-navigation .inside-navigation {
    padding: 10px 80px !important;
}	
.inside-header {
    padding: 20px 80px !important;
}
	
}

@media screen and (min-width: 1280px) and (max-width: 1700px){
.sub-menu li a {
    font-size: 14px !important;
}	
.white-btn a {
    font-size: 14px;
}	
.mob-num a {
    font-size: 14px !important;
}	
.white-border-btn a, .black-border-btn a{
    padding: 20px 30px 20px 30px;
    font-size: 14px;
}	
.border-btn a {
    padding: 20px 30px 20px 30px;
    font-size: 15px;
}	
body, button, input, select, textarea {
    font-size: 16px !important;
	line-height: 1.8 !important;
}	
h4 {
    font-size: 20px !important;
}
h3 {
    font-size: 21px !important;
}	
h1, h2 {
    font-size: 40px !important;
}	
.navigation-branding {
    width: 17%;
}	
.site-logo {
    width: 17%;
}	
.menu-btn-reqapp a {
    font-size: 16px;
	padding: 10px 30px 10px 30px;
}	
#primary-menu ul li a {
    font-size: 16px;
    padding: 0px 27px;
}	
.max-width-section {
    padding-left: 10% !important;
    padding-right: 10% !important;
}
.banner-width {
	padding-left: 5% !important;
    padding-right: 5% !important;	
}
.footer-section {
    padding-left: 14% !important;
    padding-right: 14% !important;
}
.footer-section h2 {
    font-size: 26px !important;
}
footer.site-info {
    font-size: 16px;
}	
	
}	




/************************** Venkata Ramana CSS Starts *************************************/
.view-projects a::after {content: url(https://www.sotekeng.com/wp-content/uploads/2026/08/white-arrow.png);display: inline-block;margin-left: 15px;vertical-align: middle;}
.view-projects a{text-decoration:underline;}
.discipline-table {max-width: 100%;width: 100%;border: 1px solid #dfe4ea;border-radius: 6px;overflow: hidden;font-family: "Poppins", sans-serif;background: #fff;}
.table-header, .table-row {display: grid;grid-template-columns: 70px 150px 1fr;align-items: center;}
.table-header {background: #edf1f5;color: #1f2937;font-weight: 700;font-size: 18px;padding: 18px 16px;}
.table-row {padding: 16px;border-top: 1px solid #e6ebf1;}
.sheet-icon {width: 36px;height: 36px;background: #7daeb8;color: #fff;border-radius: 50%;display: flex;align-items: center;justify-content: center;font-weight: 700;font-size: 16px;}
.discipline {font-size: 17px;color: #1f2937;}
.discipline strong {font-weight: 700;}
.covers {color: #475569;font-size: 17px;font-style: normal;font-weight: 400;}
.clr-num{color: #7CA9B3;padding-right: 10px;}
.grey-clr-num{color: #959CA3;padding-right: 10px;}
.spcl{margin: 0px 0px 0px 1em;}
.spcl li{font-size:17px;}
.spcl li::marker{color: #7CA9B3;}
.check-ul, .background-check{margin: 0px 0px 0px 2em;list-style: none;}
.check-ul li{position: relative;margin-bottom: 20px;}
.background-check li{position: relative;margin-bottom: 15px;line-height: 30px;}
.check-ul li:last-child, .background-check li:last-child{margin-bottom:0px;}
.check-ul li::before{content: "";position: absolute;left: -35px;top: 8px;width: 20px;height: 20px;background: url("https://www.sotekeng.com/wp-content/uploads/2026/08/check.png") no-repeat center;background-size: contain;}
.background-check li::before{content: "";position: absolute;left: -35px;top: 8px;width: 20px;height: 20px;background: url("https://www.sotekeng.com/wp-content/uploads/2026/08/checkbox.png") no-repeat center;background-size: contain;}
.check-ul li b{font-size: 24px;font-weight: 700;}
.second-bx p{margin-bottom:10px;}
.second-bx p:last-child{margin-bottom:0px;}
.icon-bx h3{display: flex;align-items: center;}
.icon-bx strong{color: #fff;display:block;margin-bottom: 5px;}
.icon-bx p{line-height:30px;margin-bottom:20px;}
.icon-bx p:last-child{margin-bottom:0px;}
.cnt-lft .elementor-image-box-title{margin-bottom:10px !important;}
/****** Responsive ********/
@media (max-width: 768px) {
.table-header {display: none;}
.table-row {grid-template-columns: 50px 1fr;gap: 12px;padding: 18px;}
.covers {grid-column: 2;margin-top: 6px;}
}